## org.apache.cassandra.io.compress
Class CorruptedBlockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.cassandra.io.compress.CorruptedBlockException

All Implemented Interfaces:
  java.io.Serializable

    public class CorruptedBlockException

extends java.io.IOException

See Also:
  Serialized Form

Constructor Summary
`CorruptedBlockException(java.lang.String filePath, CompressionMetadata.Chunk chunk)`
`CorruptedBlockException(java.lang.String filePath, long offset, int length)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CorruptedBlockException

    public CorruptedBlockException(java.lang.String filePath,
                                   CompressionMetadata.Chunk chunk)

### CorruptedBlockException

    public CorruptedBlockException(java.lang.String filePath,
                                   long offset,
                                   int length)

Copyright © 2012 The Apache Software Foundation